Skip to main content
POST
/
browsers
/
{id}
/
process
/
{process_id}
/
resize
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const response = await client.browsers.process.resize('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  id: 'id',
  cols: 1,
  rows: 1,
});

console.log(response.ok);
import os
from kernel import Kernel

client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
response = client.browsers.process.resize(
process_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="id",
cols=1,
rows=1,
)
print(response.ok)
package main

import (
"context"
"fmt"

"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)

func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Browsers.Process.Resize(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
kernel.BrowserProcessResizeParams{
ID: "id",
Cols: 1,
Rows: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Ok)
}
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/{process_id}/resize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": 32768,
"cols": 32768
}
'


{
  "ok": true
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Browser session ID

process_id
string<uuid>
required

Body

application/json

Resize a PTY-backed process terminal.

rows
integer
required

New terminal rows.

Required range: 1 <= x <= 65535
cols
integer
required

New terminal columns.

Required range: 1 <= x <= 65535

Response

OK

Generic OK response.

ok
boolean
default:true
required

Indicates success.